package view

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp

@Composable
fun HomeScreen(
    onClick: () -> Unit,
) {
    val text = "Recipes"
    HeaderText(text, onClick)
}

@Composable
fun HeaderText(
    text: String,
    onClick: () -> Unit
) {
    Box(
        modifier = Modifier
            .fillMaxSize()
    ) {
        Column(
            modifier = Modifier
                .fillMaxWidth()
                .padding(top = 10.dp)
                .align(Alignment.Center),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.Center,
        ) {
            Spacer(modifier = Modifier.weight(1f))
            androidx.compose.material3.Text (
                text = "Baker's Menagerie",
                style = MaterialTheme.typography.h1
            )
            androidx.compose.material3.Text (
                text = "An Allbright Family Cookbook"
            )
            Spacer(modifier = Modifier.weight(1f))
            androidx.compose.material3.Button(
                modifier = Modifier.padding(12.dp),
                onClick = onClick
            ) {
                androidx.compose.material3.Text(text = text)
            }
        }
    }
}